weibo 03
15 个接口
GETfetch hot ranking timeline
GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_ranking_timeline1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
ranking_type | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_ranking_timeline?ranking_type=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch hot search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch hot search index
GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_index1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_index'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch hot search summary
GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_summary2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_summary'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch life ranking
GET https://dkai.store/api/v1/weibo/web_v2/fetch_life_ranking1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_life_ranking'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch pic search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_pic_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_pic_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post comments
GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_comments1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_post_comments?id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post detail
GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_post_detail?id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post sub comments
GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_sub_comments1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_post_sub_comments?id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch realtime search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_realtime_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_realtime_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch similar search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_similar_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_similar_search?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch social ranking
GET https://dkai.store/api/v1/weibo/web_v2/fetch_social_ranking1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_social_ranking'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch topic search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_topic_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_topic_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user basic info
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_basic_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_basic_info?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user fans
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_fans1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_fans?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。